Package: groovy.console.ui.text

## [Groovy] Class AutoIndentAction

- groovy.console.ui.text.AutoIndentAction

-     @CompileStatic
      class AutoIndentAction
      extends AbstractAction

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractAction` | `DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AttributeSet` | `simpleAttributeSet`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AutoIndentAction()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `actionPerformed(ActionEvent evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractAction` | `accept, actionPerformed, addPropertyChangeListener, equals, getClass, getKeys, getPropertyChangeListeners, getValue, hashCode, isEnabled, notify, notifyAll, putValue, removePropertyChangeListener, setEnabled, toString, wait, wait, wait`

- - ### Property Detail

    - #### AttributeSet simpleAttributeSet

  - ### Constructor Detail

    - #### AutoIndentAction()

  - ### Method Detail

    - #### void actionPerformed(ActionEvent evt)